summary refs log tree commit diff
path: root/home/.local/bin/whinclude
diff options
context:
space:
mode:
Diffstat (limited to 'home/.local/bin/whinclude')
-rwxr-xr-xhome/.local/bin/whinclude11
1 files changed, 11 insertions, 0 deletions
diff --git a/home/.local/bin/whinclude b/home/.local/bin/whinclude
new file mode 100755
index 00000000..26445cdc
--- /dev/null
+++ b/home/.local/bin/whinclude
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -eu
+
+echo "#include <${1}>" |
+cc ${CFLAGS:-} -E -x c - |
+sed -En '
+	/^# [0-9]+ "[^<]/{
+		s/.*"([^"]+)".*/\1/p
+		q
+	}
+'
an>Handle nick errorsJune McEnroe 2018-08-04Handle /nick and /quitJune McEnroe 2018-08-04Track own nickJune McEnroe 2018-08-04Word all status messages in presentJune McEnroe 2018-08-03Handle inputJune McEnroe 2018-08-03Track own usernameJune McEnroe 2018-08-03Use a wide pad for the topicJune McEnroe 2018-08-03Ignore NOTICEs not sent to the channelJune McEnroe 2018-08-03Handle KICK and NICKJune McEnroe 2018-08-03Continue on EINTR from pollJune McEnroe 2018-08-03Handle ACTIONsJune McEnroe 2018-08-03Use more octal char literalsJune McEnroe 2018-08-03Send a WHO in response to NAMES to get usernamesJune McEnroe 2018-08-03Colorize nicks and channelsJune McEnroe 2018-08-03Add support for mIRC colorsJune McEnroe 2018-08-03Handle bold, italic, underlineJune McEnroe 2018-08-03Add prift function for "prefix shift"June McEnroe 2018-08-03Link with -lcurseswJune McEnroe 2018-08-02Use libtls "compat" ciphersJune McEnroe 2018-08-02Add UI and handle some kinds of server messagesJune McEnroe 2018-08-02Add chroot.tar targetJune McEnroe